Package twisted :: Package internet :: Module protocol

[show private | hide private]
[frames | no frames]

## Module twisted.internet.protocol

Standard implementations of Twisted protocol-related interfaces.

Start here if you are looking to write a new protocol implementation for Twisted. The Protocol class contains some introductory material.

API Stability: stable, other than ClientCreator.

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

Classes
`Factory` | This is a factory which produces protocols.
`ClientFactory` | A Protocol factory for clients.
`ReconnectingClientFactory` | My clients auto-reconnect with an exponential back-off.
`Protocol` |
`ProcessProtocol` | Processes have some additional methods besides receiving data.
`FileWrapper` | A wrapper around a file-like object to make it behave as a Transport.
`ServerFactory` | Subclass this to indicate that your protocol.Factory is only usable for servers.
`DatagramProtocol` | Protocol for datagram-oriented transport, e.g.
`ConnectedDatagramProtocol` | Protocol for connected datagram-oriented transport, e.g.
`ClientCreator` | Useful for cases when we don't really need a factory.
`BaseProtocol` | This is the abstract superclass of all protocols.
`ConsumerToProtocolAdapter` | This class is unstable.
`ProtocolToConsumerAdapter` | This class is unstable.
`_InstanceFactory` | Factory used by ClientCreator.

Variable Summary
`Failure` | `connectionDone`

Variable Details

### connectionDone

  Type:
    `Failure`
  Value:

        <twisted.python.failure.Failure twisted.internet.error.ConnectionDone>

Generated by Epydoc 1.1 on Thu May 8 13:18:27 2003 | http://epydoc.sf.net